Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.net
Enum SASLAuthentication.Status

    java.lang.Object
      java.lang.Enum<SASLAuthentication.Status>
          org.jivesoftware.openfire.net.SASLAuthentication.Status

All Implemented Interfaces:
  Serializable, Comparable<SASLAuthentication.Status>

Enclosing class:
  SASLAuthentication

    public static enum SASLAuthentication.Status

extends Enum<SASLAuthentication.Status>

Enum Constant Summary
`authenticated` SASL negotiation has been successful.
`failed` SASL negotiation has failed.
`needResponse` Entity needs to respond last challenge.

Method Summary
`static SASLAuthentication.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SASLAuthentication.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### needResponse

    public static final SASLAuthentication.Status needResponse

  Entity needs to respond last challenge. Session is still negotiating SASL authentication.

### failed

    public static final SASLAuthentication.Status failed

  SASL negotiation has failed. The entity may retry a few times before the connection is closed.

### authenticated

    public static final SASLAuthentication.Status authenticated

  SASL negotiation has been successful.

Method Detail

### values

    public static final SASLAuthentication.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SASLAuthentication.Status c : SASLAuthentication.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SASLAuthentication.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.